spring:
  redis:
    database: 45
    host: redis-1.itax.local
    port: 38000
    password: q92RBG89bbVdn^2k
    jedis:
      pool:
        # 最大空闲连接
        max-idle: 500
        # 最小空闲链接
        min-idle: 5
        # 最大连接数（负数表示没有限制）
        max-active: 1000
        # 最大阻塞等待时间（负数表示没有限制）
        max-wait: -1
        #连接超时时间
    timeout: 6000
  rabbitmq:
    host: rabbitmq-1.itax.local
    port: 35000
    username: admin
    password: Invoice!.rabbitm1
  sleuth:
    enabled: true
    http:
      legacy:
        enabled: true
  cloud:
    gateway:
      discovery:
        locator:
          enabled: true
          lowerCaseServiceId: true
      routes:
        - id: dxhy-admin
          uri: lb://dxhy-admin
          order: 8001
          predicates:
            - Path=/api/admin/**
          filters:
            - StripPrefix=2
        - id: dxhy-auth
          uri: lb://dxhy-admin
          order: 8001
          predicates:
            - Path=/api/auth/**
          filters:
            - StripPrefix=2
        - id: dxhy-core
          uri: lb://dxhy-core
          order: 8003
          predicates:
            - Path=/api/core/**
          filters:
            - StripPrefix=2
        - id: dxhy-erp
          uri: lb://dxhy-erp
          order: 8010
          predicates:
            - Path=/api/erp/**
          filters:
            - StripPrefix=2
        - id: dxhy-manage
          uri: lb://dxhy-manage
          order: 8007
          predicates:
            - Path=/api/manage/**
          filters:
            - StripPrefix=2
        - id: dxhy-operation-flow
          uri: lb://dxhy-operation-flow
          order: 8017
          predicates:
            - Path=/api/base/**,/api/sign/**,/api/customs/**,/api/exportdom/**,/api/extend/**,/api/passengerTicket/**,/api/portrait/**
          filters:
            - StripPrefix=2

logging:
  level:
    com.dxhy: DEBUG
  file:
    path: /data/logs/dxhy-gateway/
    name: ${logging.file.path}dxhy-gateway


#eureka:
#  instance:
#    preferIpAddress: true
#    statusPageUrlPath: ${server.servlet.context-path}/info
#    healthCheckUrlPath: ${server.servlet.context-path}/health
#    leaseRenewalIntervalInSeconds: 30
#    leaseExpirationDurationInSeconds: 90
#    instance-id: ${spring.application.name}:${spring.cloud.client.ipaddress}:${server.port}
#  client:
#    serviceUrl:
#      defaultZone: http://dxhy-center-1.itax.local:18092/eureka/
#请求和响应GZIP压缩支持
feign:
  httpclient:
    enabled: true
  okhttp:
    enabled: false
  compression:
    request:
      enabled: true
      mime-types: text/xml,application/xml,application/json
      min-request-size: 2048
    response:
      enabled: true

gate:
  ignore:
    startWith: /auth/jwt,/core/scan/data/upload,
      /passengerTicket/reimbursementSystem,
      /admin/jasypt/GetJasypt,/checkLogin,/sso/setcookie,
      /sso/getUserInfo,/sso/updateUserInfo,/saveUser,
      /core/tab,/api/invoice/dii,/api/kp
      /admin/sso,/admin/UKey,/core/scan/uploadImg,/admin/jwt,
      /flow/reimbursementSystem,
      /admin/tabulate/upload,/erp/invoice/dii,/erp/invoice/jxpt/api/v5/


auth:
  serviceId: dxhy-admin
  user:
    token-header: Authorization
  client:
    token-header: x-client-token
    id: dxhy-gateway  #不填则默认读取spring.application.name
    secret: 123456

#ribbon:
#  eureka:
#    enabled: true
#  ReadTimeout: 60000
#  ConnectTimeout: 60000
#  MaxAutoRetries: 0
#  MaxAutoRetriesNextServer: 1
#  OkToRetryOnAllOperations: false
#  listOfServers: http://127.0.0.1:8761
hystrix:
  threadpool:
    default:
      coreSize: 1000 ##并发执行的最大线程数，默认10
      maxQueueSize: 1000 ##BlockingQueue的最大队列数
      queueSizeRejectionThreshold: 500 ##即使maxQueueSize没有达到，达到queueSizeRejectionThreshold该值后，请求也会被拒绝
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 10000

rabbitmq:
  prefetchCount: 2  # 个消费者可以fetch的最大消息数量
  concurrentConsumers: 2 # 设置并发消费者数量
  maxConcurrentConsumers: 10 # 设置最大消费者数量，自动扩展消费者数量关键配置
TO_EXCEL_APPLY: TO_EXCEL_APPLY
TO_INVOICE_LOG: TO_INVOICE_LOG
TO_INVOICE_STATUS: TO_INVOICE_STATUS
TO_MESSAGE_LOG: TO_MESSAGE_LOG
TO_MSG_EXCEL_APPLY: TO_MSG_EXCEL_APPLY

# token过期事变
token:
  expore: 3600


endpoints:
  enabled: false
